from SyntaxDesc import *
import Register
def Syntax():
	return SyntaxDesc(
		Regex(CharStyle(eFaceBold),'#[\t ]*\([a-z]+\)',1),
		Words(gStyleStructKeyword,
			"if",
			"else",
			"while",
			"do",
			"for",
			"switch",
			"case",
			"default",
			"class",
			"namespace",
			"struct",
			"union",
			"typedef",
			"enum",
			"return",
			"break",
			"goto",
			"continue",
			"template",
			"new",
			"delete",
			"protected",
			"private",
			"public",
			"inline",
			"static",
			"extern"
		),
		Regex(gStyleString,
			'\(\'\\\\?.\'\|"\([^\\"\n]\|\\\\.\|\\\\\n\)*"\)'
		),
		Regex(gStyleString,'#[\t ]*include[\t ]+<\([^>]+\)\>',1),
		IfCommentHighlight(Regex(gStyleComment,'//.*')),
		IfCommentHighlight(MatchPair(gStyleComment,'/*','*/')),
	)

Register.RegisterSyntax(Syntax,"Implementation","Header")
